Subject: Re: linux-next: duplicate patch in the samsung-krzk tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Tue, 17 Oct 2023 11:50:17 +0200

On 17/10/2023 11:42, Uwe Kleine-König wrote:
> Hello,
> 
> On Tue, Oct 17, 2023 at 11:01:18AM +1100, Stephen Rothwell wrote:
>> The following commit is also in the arm-soc tree as a different commit
>> (but the same patch):
>>
>>   0da7c05d232d ("soc: samsung: exynos-chipid: Convert to platform remove callback returning void")
>>
>> This is commit
>>
>>   55fa358ca89f ("soc: samsung: exynos-chipid: Convert to platform remove callback returning void")
>>
>> in the arm-soc tree.
> 
> a few more details that I worked out for this situation, so (hopefully)
> others don't have to duplicate this effort:
> 
> The commit in the samsung-krzk tree was applied by Krzysztof at Sep 28
> and sent later (Oct 16) as a patch to Arnd (and others) in reply to a PR
> (https://lore.kernel.org/all/[email-masked]/)
> and without further explanation.
> 
> My guess is that the patch in question wasn't applied to a topic branch
> but to Krzysztof's for-next directly and so was missed to be included in
> the PR. Or it was on a topic branch but as the only patch on that and so
> it was sent out individually. I'd expect that 0da7c05d232d won't make it
> into the mainline.

The patch was the only one on topic branch, thus I sent it as a patch,
not as a pull request. It standard stuff. I dropped it today to avoid
any confusion, but anyway there would be no risk of this patch appearing
twice in mainline.

Best regards,
Krzysztof